---

- name: install nginx packages
  become: yes
  apt: name="nginx"

- name: disable default site
  become: yes
  file: path="/etc/nginx/sites-enabled/default" state="absent"
  notify: restart nginx

- name: create http directory
  become: yes
  file: path="{{nginx_html_root}}" state="directory"

- name: install root files
  become: yes
  copy: src="{{nginx_html_src}}" dest="{{nginx_html_root}}"

- name: enable nginx service
  become: yes
  systemd: name="nginx" enabled="yes" state="started"
